﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "HorizBar 클래스 : MultiBar/BarStyle 속성을 사용해 스택 수평 바 차트 만들기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            for(int i = 0; i < 3; i++)
            {
                HorizBar horizBar = new HorizBar(this.tChart.Chart);

                horizBar.MultiBar = MultiBars.Stacked;
                horizBar.BarStyle = BarStyles.Cylinder;

                horizBar.FillSampleValues(4);
            }
        }

        #endregion
    }
}